pub mod config;
mod padcontrol;
mod zabbix;

use std::borrow::Borrow;


use config::Config;

fn main() {
    let matches = config::argparse();
    let configfile= matches.value_of("config").unwrap_or("config.json").to_owned();

    // init and clear the launchpad
    let (mut canvas, mut poller) = padcontrol::initpad();
    let mut cfg = Config::new();
    cfg.load(&configfile);

    padcontrol::input(&mut canvas, &mut poller);

    // fetch zabbix informations
    zabbix::get_zabbix_authtoken(&mut cfg);
    zabbix::get_zabbix_problems(&mut cfg);
    cfg.save(&configfile);
}